# Retrieve HRX documents

GET https://api.letsdeel.com/rest/v2/eor/contracts/{contract_id}/hrx-documents

Retrieves a list of HRX documents that have been shared with an employee for a specific EOR contract. These documents are generated and managed by HRX (Human Resources Experience) and include various employment-related documents such as employment agreements, onboarding materials, tax documents, visa support letters, and other official documentation required throughout the employment lifecycle.
 **Token scopes**: `worker:read`, `contracts:read`

Reference: https://developer.deel.com/api/reference/endpoints/hrx-documents/retrieve-hrx-documents

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/contracts/{contract_id}/hrx-documents:
    get:
      operationId: retrieve-hrx-documents
      summary: Retrieve HRX documents
      description: >-
        Retrieves a list of HRX documents that have been shared with an employee
        for a specific EOR contract. These documents are generated and managed
        by HRX (Human Resources Experience) and include various
        employment-related documents such as employment agreements, onboarding
        materials, tax documents, visa support letters, and other official
        documentation required throughout the employment lifecycle.
         **Token scopes**: `worker:read`, `contracts:read`
      tags:
        - subpackage_hrxDocuments
      parameters:
        - name: contract_id
          in: path
          description: The unique identifier of the employee contract.
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          description: >-
            Cursor for pagination. Use the cursor from the previous response to
            get the next page of results.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Number of items to return per page. Maximum is 100, default is 20.
          required: false
          schema:
            type: integer
            default: 20
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: HRX documents successfully retrieved for EOR contract
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HRX
                  Documents_retrieveHrxDocuments_Response_200
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveHrxDocumentsRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveHrxDocumentsRequestUnauthorizedError
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveHrxDocumentsRequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaDataItemsCategoryType:
      type: string
      enum:
        - EMPLOYMENT_AGREEMENT
        - ONBOARDING_REGISTRATION
        - OFFBOARDING_TERMINATION
        - TAX_FISCAL
        - STATUS_BENEFITS
        - VISA_TRAVEL_SUPPORT
        - OTHER
      description: Type of the document category
      title: >-
        EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaDataItemsCategoryType
    EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the employee document
        name:
          type: string
          description: Name of the employee document
        category:
          type: string
          description: Type of the document category
        created_at:
          type: string
          format: date-time
          description: When the document was created
        updated_at:
          type: string
          format: date-time
          description: When the document was last updated
        category_id:
          type: string
          format: uuid
          description: Unique identifier for the document category
        category_type:
          $ref: >-
            #/components/schemas/EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaDataItemsCategoryType
          description: Type of the document category
        category_description:
          type: string
          description: Description of the document category
      required:
        - id
        - name
        - category
        - created_at
        - updated_at
        - category_id
        - category_type
        - category_description
      title: >-
        EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaDataItems
    HRX Documents_retrieveHrxDocuments_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaDataItems
          description: List of employee documents
        has_more:
          type: boolean
          description: Indicates if there are more pages available
        next_cursor:
          type:
            - string
            - 'null'
          description: Cursor to use for the next page. Null if there are no more pages.
        total_count:
          type: integer
          description: Total number of documents available across all pages
      required:
        - data
        - has_more
        - next_cursor
        - total_count
      title: HRX Documents_retrieveHrxDocuments_Response_200
    EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Error code of the handler which produced the returned error
        field:
          type: string
          description: The field name where authentication failed
        message:
          type: string
          description: Description of the returned error
      title: >-
        EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaErrorsItems
    RetrieveHrxDocumentsRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveHrxDocumentsRequestBadRequestError
    RetrieveHrxDocumentsRequestUnauthorizedError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveHrxDocumentsRequestUnauthorizedError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    RetrieveHrxDocumentsRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdHrxDocumentsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveHrxDocumentsRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/hrx-documents"

querystring = {"cursor":"eyJpZCI6ImNiMjhlOWE3LTQzY2YtNGYyNC1iZTZmLWQ3Mjk5MWNhY2UyZSJ9","limit":"20"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/hrx-documents?cursor=eyJpZCI6ImNiMjhlOWE3LTQzY2YtNGYyNC1iZTZmLWQ3Mjk5MWNhY2UyZSJ9&limit=20';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/hrx-documents?cursor=eyJpZCI6ImNiMjhlOWE3LTQzY2YtNGYyNC1iZTZmLWQ3Mjk5MWNhY2UyZSJ9&limit=20"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/hrx-documents?cursor=eyJpZCI6ImNiMjhlOWE3LTQzY2YtNGYyNC1iZTZmLWQ3Mjk5MWNhY2UyZSJ9&limit=20")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/hrx-documents?cursor=eyJpZCI6ImNiMjhlOWE3LTQzY2YtNGYyNC1iZTZmLWQ3Mjk5MWNhY2UyZSJ9&limit=20")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/hrx-documents?cursor=eyJpZCI6ImNiMjhlOWE3LTQzY2YtNGYyNC1iZTZmLWQ3Mjk5MWNhY2UyZSJ9&limit=20', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/hrx-documents?cursor=eyJpZCI6ImNiMjhlOWE3LTQzY2YtNGYyNC1iZTZmLWQ3Mjk5MWNhY2UyZSJ9&limit=20");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/hrx-documents?cursor=eyJpZCI6ImNiMjhlOWE3LTQzY2YtNGYyNC1iZTZmLWQ3Mjk5MWNhY2UyZSJ9&limit=20")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```